package com.kmall.admin.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.kmall.common.utils.JsonTimeSerializer;

import java.io.Serializable;


/**
 * @author Scott
 * @email
 * @date 2017-08-13 10:41:08
 */
public class FootprintEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    //主键
    private Integer id;
    //会员Id
    private Long userId;
    private String userName;
    //商品id
    private Integer goodsId;
    private String goodsName;
    //记录时间
    private Long addTime;

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置：会员Id
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 获取：会员Id
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * 设置：商品id
     */
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 获取：商品id
     */
    public Integer getGoodsId() {
        return goodsId;
    }

    /**
     * 设置：记录时间
     */
    public void setAddTime(Long addTime) {
        this.addTime = addTime;
    }

    /**
     * 获取：记录时间
     */
    @JsonSerialize(using = JsonTimeSerializer.class)
    public Long getAddTime() {
        return addTime;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
