# kmall-pt

#### 项目介绍
kmall-pt


#### 软件架构
软件架构说明


#### 新增功能
* 完善开源版本购物流程
* 多门店管理
* 下单语音提醒
* 团购管理
    * 团购设置
    * 分享
* 优惠活动
    * 折扣
    * 满减
    * 满免配送
* 优惠推广
    * 下单送满减券
    * 推荐送满减券
* 订单管理
    * 普通订单
    * 团购订单
    * 打印订单
* 收货地址
    * 用户输入
    * 微信地址
* 用户评论审核
* 快递查询接口
    * 快递鸟
* 用户下单自动打印小票
    * 飞鸽打印机
* 升级版UI
* 短信平台
* 优化退款功能和付款记录

## 本地开发环境启动步骤
* 新建数据库 kmall_pt
    * 字符集                 : utf8mb4 -- UTF-8 Unicode
    * 排序规则               : utf8mb4_unicode_ci
* 导入wechat_buss.sql
* 修改开发环境配置kmall-pt\kmall-admin\src\main\resources\dev\platform.properties
    * jdbc.url
    * jdbc.username
    * jdbc.password
    * redis.host
    * redis.port
    * wx.appId
    * wx.secret
    * wx.mchId
    * wx.paySignKey
    * wx.notifyUrl
    * spbillCreateIp
    * 如果使用快递接口请自行申请账户
        * kdn.businessId
        * kdn.appKey
* 修改生产环境配置kmall-pt\kmall-admin\src\main\resources\prod\platform.properties（同上）
* 安装并启动redis
* 启动项目（参照开发文档2.6）
* 将wx-mall导入微信web开发者工具

* 生成环境打包 
    * mvn clean
    * mvn package -P prod