package com.kmall.api.dao;

import com.kmall.api.entity.ProductStoreRelaVo;
import com.kmall.common.dao.BaseDao;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * 门店商品表Dao
 *
 * @author huangyaqin
 * @email admin@qhdswl.com
 * @date 2018-10-30 14:15:55
 */
@Component
public interface ApiProductStoreRelaMapper extends BaseDao<ProductStoreRelaVo> {
    ProductStoreRelaVo queryByStoreIdProductId(@Param("storeId") Long storeId, @Param("productId") Long productId);
}
