package com.kmall.api.util;

import com.kmall.api.service.pay.wxpay.WxPayPropertiesBuilder;

/**
 * 作者: @author Scott <br>
 * 时间: 2017-08-11 08:58<br>
 * 描述: ApiUserUtils <br>
 */
public class ApiUserUtils {

    //替换字符串
    public static String getCode(String APPID, String REDIRECT_URI, String SCOPE) {
        //return String.format(ResourceUtil.getConfigByName("wx.getCode"), APPID, REDIRECT_URI, SCOPE);
        return String.format(WxPayPropertiesBuilder.instance().getGetCode(), APPID, REDIRECT_URI, SCOPE);
    }

    //替换字符串
    public static String getWebAccess(String CODE) {
        return String.format(
                //ResourceUtil.getConfigByName("wx.webAccessTokenhttps"),
                WxPayPropertiesBuilder.instance().getWebAccessTokenhttps(),
                //ResourceUtil.getConfigByName("wx.appId"),
                WxPayPropertiesBuilder.instance().getAppId(),
                //ResourceUtil.getConfigByName("wx.secret"),
                WxPayPropertiesBuilder.instance().getSecret(),
                CODE);
    }

    //替换字符串
    public static String getUserMessage(String access_token, String openid) {
        //return String.format(ResourceUtil.getConfigByName("wx.userMessage"), access_token, openid);
        return String.format(WxPayPropertiesBuilder.instance().getUserMessage(), access_token, openid);
    }
}