package com.kmall.common.dao;


import com.kmall.common.entity.FormIdsEntity;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * 小程序form_id收集Dao
 *
 * @author Scott
 * @email
 * @date 2017-12-16 15:32:50
 */
@Component
public interface FormIdsDao extends BaseDao<FormIdsEntity> {
    FormIdsEntity queryByUserId(@Param("userId") Long userId);

    FormIdsEntity getFormIdsByMerchOrderSn(@Param("merchOrderSn")String merchOrderSn);
}
